# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/9a1a1a19-9366-4e8d-60b8-bb797f0529d9/volume/combined_recipe, last modified Thu May 13 04:59:26 2021
# ------------------------------------------------

package:
  name: distributed
  version: 2021.4.1
source:
  sha256: 4c1b189ec5aeaf770c473f730f4a3660dc655601abd22899e8a0662303662168
  url: https://pypi.io/packages/source/d/distributed/distributed-2021.4.1.tar.gz
build:
  entry_points:
    - dask-scheduler=distributed.cli.dask_scheduler:go
    - dask-ssh=distributed.cli.dask_ssh:go
    - dask-worker=distributed.cli.dask_worker:go
  number: '0'
  script: /opt/concourse/worker/volumes/live/9a1a1a19-9366-4e8d-60b8-bb797f0529d9/volume/distributed_1620907186736/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
  string: py39hecd8cb5_0
requirements:
  build: []
  host:
    - ca-certificates 2021.4.13 hecd8cb5_1
    - certifi 2020.12.5 py39hecd8cb5_0
    - libcxx 10.0.0 1
    - libffi 3.3 hb1e8313_2
    - ncurses 6.2 h0a44026_1
    - openssl 1.1.1k h9ed2024_0
    - pip 21.0.1 py39hecd8cb5_0
    - python 3.9.4 h88f2d9e_0
    - readline 8.1 h9ed2024_0
    - setuptools 52.0.0 py39hecd8cb5_0
    - sqlite 3.35.4 hce871da_0
    - tk 8.6.10 hb0a8c7a_0
    - tzdata 2020f h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h1de35cc_3
  run:
    - click >=6.6
    - cloudpickle >=1.5.0
    - cytoolz >=0.8.2
    - dask >=2021.3.0
    - msgpack-python >=0.6.0
    - psutil >=5.0
    - python >=3.9,<3.10.0a0
    - pyyaml
    - setuptools
    - sortedcontainers !=2.0.0,!=2.0.1
    - tblib >=1.6.0
    - toolz >=0.8.2
    - tornado >=6.0.3
    - zict >=0.1.3
  run_constrained:
    - openssl !=1.1.1e
test:
  commands:
    - dask-scheduler --help
    - dask-ssh --help
    - dask-worker --help
  imports:
    - distributed
    - distributed.cli
    - distributed.comm
    - distributed.deploy
    - distributed.diagnostics
    - distributed.protocol
about:
  description: 'Distributed is a lightweight library for distributed computing in
    Python.

    It extends both the concurrent.futures and dask APIs to moderate sized

    clusters.

    '
  dev_url: https://github.com/dask/distributed
  doc_source_url: https://github.com/dask/distributed/blob/master/docs/source/index.rst
  doc_url: https://distributed.dask.org
  home: http://distributed.readthedocs.io/en/latest/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Distributed computing with Dask
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jakirkham
    - jcrist
    - jrbourbeau
    - marcelotrevisani
    - martindurant
    - mrocklin
    - ogrisel
    - tomaugspurger
